import request from '@/utils/request'
import Qs from 'qs';

//获取设备列表
export function getDeviceList() {
	return request({
		url: '/mobile/personDeviceLogApi/getDeviceList',
		data: Qs.stringify({}),
		method: 'post',
	})
}

//增加人员
export function addPerson(params) {
	return request({
		url: '/mobile/personInfoApi/add',
		data: Qs.stringify(params),
		method: 'post',
	})
}

//单位列表
export function queryCompanyList(params) {
	return request({
		url: '/mobile/personDeviceLogApi/queryCompanyList',
		data: Qs.stringify(params),
		method: 'post',
	})
}

//获取待审人员列表
export function getApplyList(params) {
	return request({
		url: '/mobile/personInfoApi/applicationPersonList',
		data: Qs.stringify(params),
		method: 'post',
	})
}

//获取审核详情
export function getApplyInfo(id) {
	return request({
		url: '/mobile/personInfoApi/applicationPersonDetail',
		data: Qs.stringify({
			id: id
		}),
		method: 'post',
	})
}

//审核操作
export function doApply(params) {
	return request({
		url: '/mobile/personInfoApi/examineApplicationPerson',
		data: Qs.stringify(params),
		method: 'post',
	})
}
